Page MenuHomePhabricator

Document/fix scripts for echo x1 DB requirements
Closed, ResolvedPublic

Description

While trying to fix T98676 there were some issues to do with x1 DBs not being created. This should be documented at https://wikitech.wikimedia.org/wiki/Add_a_wiki

Event Timeline

Krenair created this task.May 27 2015, 4:09 PM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added projects: acl*sre-team, DBA.
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 4:09 PM
Dzahn triaged this task as Medium priority.May 27 2015, 11:32 PM
Dzahn added a subscriber: Dzahn.

This is not a database/deployment issue, but a mediawiki one- the installation scripts failed (which should create the database with no problem).

Okay. Let's work out what needs to be added to the script then

After speaking to Matt it seems like this is because we used the Echo extension and ran something like mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=cnwikimedia echo which would create the tables on s3 rather than x1. Maybe that script pre-dates the existence of x1 and someone forgot to update it?

Krenair renamed this task from Document x1 DB requirements for new wikis to Document/fix scripts for echo x1 DB requirements.May 28 2015, 2:19 PM
Krenair set Security to None.
Krenair removed a project: acl*sre-team.
mysql:wikiadmin@db1031.eqiad.wmnet [(none)]> select distinct table_name from information_schema.tables where table_schema like '%wik%';
+-----------------------+
| table_name            |
+-----------------------+
| _echo_target_page_new |
| echo_email_batch      |
| echo_event            |
| echo_notification     |
| echo_target_page      |
| aft_feedback          |
| bounce_records        |
| cx_drafts             |
| cx_translations       |
| cx_translators        |
+-----------------------+
10 rows in set (0.07 sec)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 28 2015, 2:26 PM
Catrope assigned this task to Legoktm.Jun 1 2015, 9:10 PM

Change 215216 had a related patch set uploaded (by Legoktm):
Fix Echo and extension1 creation in addWiki.php

https://gerrit.wikimedia.org/r/215216

Change 215216 merged by jenkins-bot:
Fix Echo and extension1 creation in addWiki.php

https://gerrit.wikimedia.org/r/215216

Krenair closed this task as Resolved.Jun 1 2015, 10:59 PM

I think that should solve it.